com.corticon.rulesemf.ast.util

## Class AstAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - com.corticon.rulesemf.ast.util.AstAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory

      public class AstAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `AstPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static AstPackage` | `modelPackage` The cached model package
    `protected AstSwitch` | `modelSwitch` The switch the delegates to the `createXXX` methods

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AstAdapterFactory()` Creates an instance of the adapter factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
    `org.eclipse.emf.common.notify.Adapter` | `createAdditiveExpressionAdapter()` Creates a new adapter for an object of class '`Additive Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createAdditiveOperatorAdapter()` Creates a new adapter for an object of class '`Additive Operator`'
    `org.eclipse.emf.common.notify.Adapter` | `createAdditiveSubExpressionAdapter()` Creates a new adapter for an object of class '`Additive Sub Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createAssignmentExpressionAdapter()` Creates a new adapter for an object of class '`Assignment Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createAssignmentOperatorAdapter()` Creates a new adapter for an object of class '`Assignment Operator`'
    `org.eclipse.emf.common.notify.Adapter` | `createCompoundExpressionAdapter()` Creates a new adapter for an object of class '`Compound Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createConditionValueSetAdapter()` Creates a new adapter for an object of class '`Condition Value Set`'
    `org.eclipse.emf.common.notify.Adapter` | `createDeclaratorAdapter()` Creates a new adapter for an object of class '`Declarator`'
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case
    `org.eclipse.emf.common.notify.Adapter` | `createExpressionAdapter()` Creates a new adapter for an object of class '`Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createFeatureCallAdapter()` Creates a new adapter for an object of class '`Feature Call`'
    `org.eclipse.emf.common.notify.Adapter` | `createFeatureCallParametersAdapter()` Creates a new adapter for an object of class '`Feature Call Parameters`'
    `org.eclipse.emf.common.notify.Adapter` | `createGeneralExpressionAdapter()` Creates a new adapter for an object of class '`General Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createIConditionValueAdapter()` Creates a new adapter for an object of class '`ICondition Value`'
    `org.eclipse.emf.common.notify.Adapter` | `createIExpressionAdapter()` Creates a new adapter for an object of class '`IExpression`'
    `org.eclipse.emf.common.notify.Adapter` | `createIfExpressionAdapter()` Creates a new adapter for an object of class '`If Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createIPrimaryExpressionAdapter()` Creates a new adapter for an object of class '`IPrimary Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createLiteralAdapter()` Creates a new adapter for an object of class '`Literal`'
    `org.eclipse.emf.common.notify.Adapter` | `createLiteralCollectionAdapter()` Creates a new adapter for an object of class '`Literal Collection`'
    `org.eclipse.emf.common.notify.Adapter` | `createLogicalExpressionAdapter()` Creates a new adapter for an object of class '`Logical Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createLogicalOperatorAdapter()` Creates a new adapter for an object of class '`Logical Operator`'
    `org.eclipse.emf.common.notify.Adapter` | `createLogicalSubExpressionAdapter()` Creates a new adapter for an object of class '`Logical Sub Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createMultiplicativeExpressionAdapter()` Creates a new adapter for an object of class '`Multiplicative Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createMultiplicativeOperatorAdapter()` Creates a new adapter for an object of class '`Multiplicative Operator`'
    `org.eclipse.emf.common.notify.Adapter` | `createMultiplicativeSubExpressionAdapter()` Creates a new adapter for an object of class '`Multiplicative Sub Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createNameAdapter()` Creates a new adapter for an object of class '`Name`'
    `org.eclipse.emf.common.notify.Adapter` | `createParameterListAdapter()` Creates a new adapter for an object of class '`Parameter List`'
    `org.eclipse.emf.common.notify.Adapter` | `createPathNameAdapter()` Creates a new adapter for an object of class '`Path Name`'
    `org.eclipse.emf.common.notify.Adapter` | `createPostfixExpressionAdapter()` Creates a new adapter for an object of class '`Postfix Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createPrimaryExpressionAdapter()` Creates a new adapter for an object of class '`Primary Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createQualifiersAdapter()` Creates a new adapter for an object of class '`Qualifiers`'
    `org.eclipse.emf.common.notify.Adapter` | `createRangeExpressionAdapter()` Creates a new adapter for an object of class '`Range Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createRelationalExpressionAdapter()` Creates a new adapter for an object of class '`Relational Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createRelationalOperatorAdapter()` Creates a new adapter for an object of class '`Relational Operator`'
    `org.eclipse.emf.common.notify.Adapter` | `createRelationalSubExpressionAdapter()` Creates a new adapter for an object of class '`Relational Sub Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createRuleStatementAdapter()` Creates a new adapter for an object of class '`Rule Statement`'
    `org.eclipse.emf.common.notify.Adapter` | `createTypeSpecifierAdapter()` Creates a new adapter for an object of class '`Type Specifier`'
    `org.eclipse.emf.common.notify.Adapter` | `createUnaryExpressionAdapter()` Creates a new adapter for an object of class '`Unary Expression`'
    `org.eclipse.emf.common.notify.Adapter` | `createUnaryOperatorAdapter()` Creates a new adapter for an object of class '`Unary Operator`'
    `org.eclipse.emf.common.notify.Adapter` | `createValueSetAdapter()` Creates a new adapter for an object of class '`Value Set`'
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static AstPackage modelPackage

      The cached model package.

    - #### modelSwitch

          protected AstSwitch modelSwitch

      The switch the delegates to the `createXXX` methods.

  - ### Constructor Detail

    - #### AstAdapterFactory

          public AstAdapterFactory()

      Creates an instance of the adapter factory.

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.

    - #### createAdditiveExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createAdditiveExpressionAdapter()

      Creates a new adapter for an object of class '`Additive Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AdditiveExpression`

    - #### createAdditiveOperatorAdapter

          public org.eclipse.emf.common.notify.Adapter createAdditiveOperatorAdapter()

      Creates a new adapter for an object of class '`Additive Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AdditiveOperator`

    - #### createAdditiveSubExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createAdditiveSubExpressionAdapter()

      Creates a new adapter for an object of class '`Additive Sub Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AdditiveSubExpression`

    - #### createAssignmentExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createAssignmentExpressionAdapter()

      Creates a new adapter for an object of class '`Assignment Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AssignmentExpression`

    - #### createAssignmentOperatorAdapter

          public org.eclipse.emf.common.notify.Adapter createAssignmentOperatorAdapter()

      Creates a new adapter for an object of class '`Assignment Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AssignmentOperator`

    - #### createCompoundExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createCompoundExpressionAdapter()

      Creates a new adapter for an object of class '`Compound Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CompoundExpression`

    - #### createDeclaratorAdapter

          public org.eclipse.emf.common.notify.Adapter createDeclaratorAdapter()

      Creates a new adapter for an object of class '`Declarator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Declarator`

    - #### createExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createExpressionAdapter()

      Creates a new adapter for an object of class '`Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Expression`

    - #### createFeatureCallAdapter

          public org.eclipse.emf.common.notify.Adapter createFeatureCallAdapter()

      Creates a new adapter for an object of class '`Feature Call`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FeatureCall`

    - #### createFeatureCallParametersAdapter

          public org.eclipse.emf.common.notify.Adapter createFeatureCallParametersAdapter()

      Creates a new adapter for an object of class '`Feature Call Parameters`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FeatureCallParameters`

    - #### createGeneralExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createGeneralExpressionAdapter()

      Creates a new adapter for an object of class '`General Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `GeneralExpression`

    - #### createIExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createIExpressionAdapter()

      Creates a new adapter for an object of class '`IExpression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `IExpression`

    - #### createIfExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createIfExpressionAdapter()

      Creates a new adapter for an object of class '`If Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `IfExpression`

    - #### createIPrimaryExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createIPrimaryExpressionAdapter()

      Creates a new adapter for an object of class '`IPrimary Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `IPrimaryExpression`

    - #### createLiteralAdapter

          public org.eclipse.emf.common.notify.Adapter createLiteralAdapter()

      Creates a new adapter for an object of class '`Literal`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Literal`

    - #### createLiteralCollectionAdapter

          public org.eclipse.emf.common.notify.Adapter createLiteralCollectionAdapter()

      Creates a new adapter for an object of class '`Literal Collection`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LiteralCollection`

    - #### createLogicalExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createLogicalExpressionAdapter()

      Creates a new adapter for an object of class '`Logical Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LogicalExpression`

    - #### createLogicalOperatorAdapter

          public org.eclipse.emf.common.notify.Adapter createLogicalOperatorAdapter()

      Creates a new adapter for an object of class '`Logical Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LogicalOperator`

    - #### createLogicalSubExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createLogicalSubExpressionAdapter()

      Creates a new adapter for an object of class '`Logical Sub Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LogicalSubExpression`

    - #### createMultiplicativeExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createMultiplicativeExpressionAdapter()

      Creates a new adapter for an object of class '`Multiplicative Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `MultiplicativeExpression`

    - #### createMultiplicativeOperatorAdapter

          public org.eclipse.emf.common.notify.Adapter createMultiplicativeOperatorAdapter()

      Creates a new adapter for an object of class '`Multiplicative Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `MultiplicativeOperator`

    - #### createMultiplicativeSubExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createMultiplicativeSubExpressionAdapter()

      Creates a new adapter for an object of class '`Multiplicative Sub Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `MultiplicativeSubExpression`

    - #### createParameterListAdapter

          public org.eclipse.emf.common.notify.Adapter createParameterListAdapter()

      Creates a new adapter for an object of class '`Parameter List`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ParameterList`

    - #### createPathNameAdapter

          public org.eclipse.emf.common.notify.Adapter createPathNameAdapter()

      Creates a new adapter for an object of class '`Path Name`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PathName`

    - #### createPostfixExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createPostfixExpressionAdapter()

      Creates a new adapter for an object of class '`Postfix Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PostfixExpression`

    - #### createPrimaryExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createPrimaryExpressionAdapter()

      Creates a new adapter for an object of class '`Primary Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PrimaryExpression`

    - #### createQualifiersAdapter

          public org.eclipse.emf.common.notify.Adapter createQualifiersAdapter()

      Creates a new adapter for an object of class '`Qualifiers`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Qualifiers`

    - #### createRangeExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createRangeExpressionAdapter()

      Creates a new adapter for an object of class '`Range Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RangeExpression`

    - #### createRelationalExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createRelationalExpressionAdapter()

      Creates a new adapter for an object of class '`Relational Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RelationalExpression`

    - #### createRelationalOperatorAdapter

          public org.eclipse.emf.common.notify.Adapter createRelationalOperatorAdapter()

      Creates a new adapter for an object of class '`Relational Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RelationalOperator`

    - #### createRelationalSubExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createRelationalSubExpressionAdapter()

      Creates a new adapter for an object of class '`Relational Sub Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RelationalSubExpression`

    - #### createTypeSpecifierAdapter

          public org.eclipse.emf.common.notify.Adapter createTypeSpecifierAdapter()

      Creates a new adapter for an object of class '`Type Specifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TypeSpecifier`

    - #### createUnaryExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createUnaryExpressionAdapter()

      Creates a new adapter for an object of class '`Unary Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `UnaryExpression`

    - #### createUnaryOperatorAdapter

          public org.eclipse.emf.common.notify.Adapter createUnaryOperatorAdapter()

      Creates a new adapter for an object of class '`Unary Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `UnaryOperator`

    - #### createNameAdapter

          public org.eclipse.emf.common.notify.Adapter createNameAdapter()

      Creates a new adapter for an object of class '`Name`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Name`

    - #### createIConditionValueAdapter

          public org.eclipse.emf.common.notify.Adapter createIConditionValueAdapter()

      Creates a new adapter for an object of class '`ICondition Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `IConditionValue`

    - #### createConditionValueSetAdapter

          public org.eclipse.emf.common.notify.Adapter createConditionValueSetAdapter()

      Creates a new adapter for an object of class '`Condition Value Set`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ConditionValueSet`

    - #### createValueSetAdapter

          public org.eclipse.emf.common.notify.Adapter createValueSetAdapter()

      Creates a new adapter for an object of class '`Value Set`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ValueSet`

    - #### createRuleStatementAdapter

          public org.eclipse.emf.common.notify.Adapter createRuleStatementAdapter()

      Creates a new adapter for an object of class '`Rule Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RuleStatement`

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.